<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar el Video {{nombreEliminar}}?</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>

<br>

<div class="">
    <div class="col-sm-12 titulo text-center">
        Videos
    </div>
</div>
<app-separador></app-separador>
<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>


<br>
<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1" *ngIf="vleer">

        <div class="row">

            <div class="col-sm-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="nombreB">Buscar</label>
                    <input type="text" id="nombreB" name="nombreB"
                        [(ngModel)]="nombreB"
                        placeholder="Buscar por nombre del Video"
                        class="form-control"
                        (keyup)="buscarxNombre()"/>
                </div>
            </div>
        </div>

        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">

            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Nombre</td>
                    <td>URL</td>

                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of videos.slice((page-1) * pageSize,page *
                    pageSize) " ng-click="selectPerson(persona)">
                    <td>{{ datos.nombre }}</td>
                    <td>{{ datos.url }}</td>

                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-edit" aria-hidden="true"
                                (click)="seleccionarVideo(datos.id)"></i>
                        </button>
                        <button class="btn btn-danger" style="margin-right:
                            10px; width: 2.5em;" *ngIf="veliminar">
                            <i class="fa fa-trash" aria-hidden="true"
                                (click)="open(content,datos.id,datos.nombre)"></i>
                        </button>

                    </td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination
            class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="videos.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 col-md-12 ">
        <div class="card" *ngIf="vopciones">
            <div class="card-body">
                <form name="myForm">
                    <div class="form-group">
                        <div class="form-group">
                            <input type="text" name="nombre" [maxlength]="50"
                                id="nombre" [(ngModel)]="video.nombre"
                                placeholder="Nombre" class="form-control"
                                autofocus>
                            <label class="form-label error" for="nombre"
                                *ngIf="errorNombre">{{strNombre}}</label>
                        </div>
                        <br>
                        <div class="form-group">
                            <textarea name="url" [maxlength]="100" id="url"
                                nombre="url" [(ngModel)]="video.url" rows="2"
                                placeholder="URL" class="form-control"></textarea>
                            <label class="form-label error" for="url"
                                *ngIf="errorURL">{{strURL}}</label>
                        </div>

                    </div>
                    <hr>


                    <!-- Acciones que podemos realizar en el formulario -->
                    <button type="submit" class="btn btn-success"
                        (click)="crear()" *ngIf="vcrear &&
                        btnCrear">Registrar</button>
                    <button type="submit" class="btn btn-danger"
                        (click)="limpiar()" *ngIf="vcrear &&
                        btnCrear" style="margin-left:
                        10px;">Cancelar</button>
                    <button type="submit" class="btn btn-warning "
                        (click)="actualizar()" *ngIf="vactualizar &&
                        btnModificar">Modificar</button>

                    <button type="submit" class="btn btn-danger "
                        (click)="cancelar()" *ngIf="vactualizar &&
                        btnModificar" style="margin-left:
                        10px;">Cancelar</button>
                </form>
            </div>
        </div>
    </div>
</div>
